// Extruder thermistor: RS 198-961 100k ohm 10% DO-35 NTC thermistor - All Mendels before 1/4/13
//#define E_BETA 3960.0
//#define E_NTC 100000.0

// Bed thermistor: RS 484-0149; EPCOS B57550G103J - All Mendels before 1/4/13
//#define BED_BETA 3480.0
//#define BED_NTC 10000.0

// Bed thermistor: Rapid 61-0446 ; Semitec 103GT-2 - All Mendel2 shipped after 1/4/13 (launch)
// #define BED_BETA 4126.0
// #define BED_NTC 10000.0

// Bed thermistor: Farnell 1299930 ; EPCOS B57863S103F040 - All Mendel2 shipped after 29/5/14
//*** #define BED_BETA 3988.0
//*** #define BED_NTC 10000.0

// Extruder thermistor: RS 198-961 100k ohm 10% DO-35 NTC thermistor - All Mendel2 shipped after 1/4/13 (launch)
// #define E_BETA 3960.0
// #define E_NTC 100000.0

// Extruder thermistor: Digikey 480-3137-ND - All Mendels shipped after 25/2/14
//*** #define E_BETA 4138.0
//*** #define E_NTC 100000.0

#define BED_BETA 4200.0
#define BED_NTC 10000.0
#define E_BETA 4200.0
#define E_NTC 100000.0

#define AXES_MAX_LENGTHS {250, 200, 110}
#define X_MAX_LENGTH 250  
#define Y_MAX_LENGTH 200
#define Z_MAX_LENGTH 110

#define INVERT_X_DIR true    // for Mendel set to false, for Orca set to true
#define INVERT_Y_DIR false    // for Mendel set to true, for Orca set to false
#define INVERT_Z_DIR false     // for Mendel set to false, for Orca set to true
#define INVERT_E0_DIR true   // for direct drive extruder v9 set to true, for geared extruder set to false
#define INVERT_E1_DIR true    // for direct drive extruder v9 set to true, for geared extruder set to false
#define INVERT_E2_DIR true   // for direct drive extruder v9 set to true, for geared extruder set to false

#define HOMING_FEEDRATE {15*60, 15*60, 3*60, 0}  // set the homing speeds (mm/min)
#define FAST_HOME_FEEDRATE {60*60, 60*60, 6*60, 0}  // set the homing speeds (mm/min)

#define DEFAULT_MAX_FEEDRATE          {200, 200, 6, 120}    // (mm/sec)    
#define DEFAULT_MAX_ACCELERATION      {1000,1000,50,500}    // X, Y, Z, E maximum start speed for accelerated moves. E default values

// X, Y, Z, E steps per mm
// 80:      18 tooth aluminium pulley
// 92.635:  17 tooth printed original pulley
// 4000:    standard M5 Z Axis
// 950:     reprap printed extruder
// 475:     bulldog XL extruder
// 2133.333:TR 5x1.5 z axis

#define DEFAULT_AXIS_STEPS_PER_UNIT    {80, 91.429, 2133.333, 475.0} // <- 18-tooth aluminium pulley 
